#!/bin/bash

MESSAGE_FILE="/messages.yaml"

NUM_MESSAGES=$(yq eval '.messages | length' "$MESSAGE_FILE")

RANDOM_INDEX=$(( RANDOM % NUM_MESSAGES ))

MESSAGE=$(yq eval ".messages[$RANDOM_INDEX]" "$MESSAGE_FILE")

PLUGIN_PR_BODY=$(echo "$PLUGIN_PR_BODY" | sed "s/{- random-pr-message -}/$MESSAGE/")

echo "$PLUGIN_PR_BODY"

/gitea-pull-request-create-plugin
